Subject: RE: How to get it rolling?

From: [email-masked]
Date: Sun, 10 Feb 91 01:09:18 MST

yawei%UCS.INDIANA.EDU writes:
 >
 > As I said, I have a set of routines for displaying CC on
 > several PC video systems. (I discontinue the project because
 > I dwasn't sure how to proceed with the input part.) If
 > someone can tell me if there's a complete set of public
 > domain fonts available, I may be able to work it into
 > a dumb-terminal viewer.  (I remembered Ricky Yeung has
 > something archived somewhere, but I have not been keeping
 > up with this.)
 >
 > The viewer can support 'zW' or 'HZ' or both.
 >
 > The fonts would need to be in GB order.
 >

I have made all of the X11 Chinese fonts freely available by anonymous
ftp from crl.nmsu.edu [128.123.1.14] in pub/chinese/.  Its very simple
to convert the X11 fonts into CCDOS format.

The X11 fonts are in BDF format, which is an ASCII format describing
the bitmaps using hex digits.

I have written a program to convert arbitrary raw bitmap fonts (i.e.
CCDOS) into X11 BDF fonts, so I could write one to convert the BDF
font into a raw bitmap font.  I believe there are a number of good
fonts available for the Mac already, but if people want the X11 fonts
in Mac format, I could write a program to do that if someone could
give me information on the structure of the Mac 2-byte bitmap fonts.

There is some information I need about the CCDOS format first: does
anyone know if CCDOS fonts have width and height information at the
beginning of the font?
-----------------------------------------------------------------------------
[email-masked]                      "I laughed.
Mark Leisher                                I cried.
Computing Research Lab                          I fell down.
New Mexico State University                        It changed my life."
Las Cruces, NM                     - Rich [Cowboy Feng's Space Bar and Grille]

---

From: [email-masked]
Date: Sun, 10 Feb 91 02:15:08 MST

"J. Ding" writes:

 >
 > Although we have enough knowledgable people to make excellent
 > programs, a good software package like we have discussed still need
 > market support. If we really want to push the project, we have two
 > blocks to go: 1) develop some simple package without market support;
 > 2). generate user needs for future market.
 >

This may evolve into something that is marketable, but I would like to
state that my personal belief is that it needs to be freely available
or Public Domain.

Reasons:
  1. This gives a larger number of people a chance to improve and
     upgrade the software.

  2. Larger numbers of people would be using the software, so bug
     fixes and enhancements would be available much faster.  With more
     people using it, the chances are better that someone can answer
     questions about the software faster.

  3. Even if the software is copyrighted by the authors, the copyright
     can be chosen to allow the software to be used for commercial
     programs.  Everyone wins.  We poor students :-) would get a
     useful set of software to use, *FREE*, and people who want
     make *BUX* can make arrangements with the authors to use the
     software in commercial products.

Going the route of freely available software is slower than designing
software for commercial purposes, but I personally find the rate of
development acceptable, especially if its free.

 >
 > Developing network package has two options at current stage. 1)
 > Building on one of the commercial packages, like Yagui's zW program on
 > GuoBiao CCDOS and Pai Chou's Taipei-100 on Taiwan Chinese DOS. This
 > approach will be the easiest if the package we select already
 > dominates the market. Unfortunately, it is not the case among current
 > GuoBiao world. We will find it tremondously difficult if we ask the
 > users(in our case, most are Chinese students) to pay money for
 > something they haven't found out much use. In the worse cases, you are
 > talking about asking someone to throw away his nice BYX package to pay
 > for a CCDOS.
 >

I think this a very reasonable approach.  Because the effort has
already been made and the authors know about the problems involved.
They are now "expert systems" :-)  Plus, being a poor student, I
don't like spending money for something I won't fully use :-)

(I'm pretty sure Taipei-100 is freely available.  I'm not sure about
 Ya-gui's zW system.  Ya-gui, can you set me straight on this?)
-----------------------------------------------------------------------------
[email-masked]                      "I laughed.
Mark Leisher                                I cried.
Computing Research Lab                          I fell down.
New Mexico State University                        It changed my life."
Las Cruces, NM                     - Rich [Cowboy Feng's Space Bar and Grille]

---

From: "J. Ding" <[email-masked]>
Date: Sun, 10 Feb 91 09:45:08 CST

>state that my personal belief is that it needs to be freely available
       I agree. But the "future market" I used include all GuoBiao based
software. Such a market is badly needed for promoting the CHinese software
development. If we Chinese want to catch up the HiTech in short time, we
should have a mechanics to utilize all resources(include a few bux from
poor students) to support all Chinese software development.
      However for the network packages, I hope they could be made free to
initiate the market. If there are enough useful information flowing on the
network, people will start to realize the importance of Chinese software.
And it is beginning of "Chinese Computing/Information Era".
      It will be a great contribution if we have enough people on this list
have the same belief as Mark's to work together to produce a good network
freeware. I personally like to share part of the work, and also be available
to generate/collect Chinese Information Source to flow on the network.

>don't like spending money for something I won't fully use :-)
     I think I may not have made my point clear. If we build the freeware on
a commercial software basis, it is not REALLY FREE. People have to buy that
software first. Say, if you want to use Taipei-100 which is free, you have to
buy the Chinese DOS first. Exactly like Mark said, many poor students won't
buy ANY Chinese software unless they find it useful. That's why I suggested to
develop a "COMPLETELY FREE" package to satisfy the users. If we have enough
human source to make this independent package cover everything(input/edit/
print/transfer), it will certainly create a happy world. If not, we can
start from a small package.
     Such a package is very promising since Yagui and Mark and others already
had much execellent basic work laid down. Once we decide a encoding method,
we are ready to generate the codes. I hope Yagui and Mark could coordinate
the job and let others know what work needs to be shared. It will be ideal
if major codes come out from one or two people to eliminate the compatibility
problem and possible copyright dispute. There are some other work could be
shared by the others. I am looking forward to joining the team work and doing
whatever I could.

Jian Ding
Computer Support Specialist                   B366JDX@UTARLVM1
Library -- U. Texas at Arlington              [email-masked]